import request from '@/utils/request'

// 查询报告信息列表
export function listReportDetail(query) {
  return request({
    url: '/system/reportDetail/list',
    method: 'get',
    params: query
  })
}

// 查询报告信息详细
export function getReportDetail(reportId) {
  return request({
    url: '/system/reportDetail/' + reportId,
    method: 'get'
  })
}

// 新增报告信息
export function addReportDetail(data) {
  return request({
    url: '/system/reportDetail',
    method: 'post',
    data: data
  })
}

// 修改报告信息
export function updateReportDetail(data) {
  return request({
    url: '/system/reportDetail',
    method: 'put',
    data: data
  })
}

// 删除报告信息
export function delReportDetail(reportId) {
  return request({
    url: '/system/reportDetail/' + reportId,
    method: 'delete'
  })
}
